package com.tencent.mm.ipcinvoker.wx_extension.b;

import com.tencent.matrix.trace.core.AppMethodBeat;
import java.lang.ref.WeakReference;

class b$b<T> extends WeakReference<T> {
    public b$b(T t) {
        super(t);
    }

    public final boolean equals(Object obj) {
        AppMethodBeat.i(126213);
        if (obj == this) {
            AppMethodBeat.o(126213);
            return true;
        } else if (obj instanceof b$b) {
            Object obj2 = ((b$b) obj).get();
            Object obj3 = get();
            if (obj2 == obj3 || (obj3 != null && obj3.equals(obj2))) {
                AppMethodBeat.o(126213);
                return true;
            }
            AppMethodBeat.o(126213);
            return false;
        } else {
            AppMethodBeat.o(126213);
            return false;
        }
    }
}
